# $Revision: 1.16 $, $Date: 2006/09/08 18:03:40 $
Summary:	Tool that builds a chrooted environment
Summary(pl):	Narzdzie tworzce rodowisko w chroocie
Name:		jail
Version:	1.9a
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://www.jmcresearch.com/static/dwn/projects/jail/%{name}_%{version}.tar.gz
# Source0-md5:	06824a1255ce3da1bb86cb806bf15535
Patch0:		%{name}-install.patch
URL:		http://www.jmcresearch.com/projects/jail/
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	strace
Provides:	group(jail)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jail Chroot Project is an attempt of write a tool that builds a
chrooted environment. The main goal of Jail is to be as simple as
possible, and highly portable. The most difficult step when building a
chrooted environment is to set up the right libraries and files. Here,
Jail comes to the rescue with a tool to automagically configures and
builds all the required files, directories and libraries.

%description -l pl
Jail Chroot Project to prba napisania narzdzia tworzcego rodowisko
w chroocie. Gwnym celem Jaila jest bycie tak prostym jak to tylko
moliwe, a przy tym bardzo przenonym. Najtrudniejszym krokiem przy
tworzeniu rodowiska w chroocie jest waciwe dobranie bibliotek i
plikw. Tutaj z pomoc przychodzi Jail z narzdziem automatycznie
konfigurujcym i tworzcym wszystkie wymagane pliki, katalogi i
biblioteki.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} -C src \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	SYSCONFDIR=%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 35 jail

%postun
if [ "$1" = "0" ]; then
	%groupremove jail
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{_bindir}/[!j]*
%attr(4750,root,jail) %{_bindir}/jail
%{_prefix}/lib/jail
%attr(640,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/jail.conf

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jail.spec,v $
Revision 1.16  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.15  2006/04/14 15:09:06  glen
- rel 2

Revision 1.14  2006/04/05 12:23:00  undefine
- R: strace (used when create environment)

Revision 1.13  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.12  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.11  2004/10/17 06:39:55  ankry
- %groupremove support, some unification

Revision 1.10  2004/05/20 07:21:21  krzak
- %{_prefix}/lib/jail instead {_libdir}/jail, it's not arch dependent so do not have to go to lib64

Revision 1.9  2004/05/16 07:36:30  qboosh
- fixed syntax, cleanups

Revision 1.8  2004/05/15 20:46:21  paszczus
- typos

Revision 1.7  2004/05/15 20:40:14  paszczus
- changed GID
- cleanups

Revision 1.6  2004/05/15 20:24:51  paszczus
- little cosmetics
- added groupdel in %postun

Revision 1.5  2004/05/15 20:18:05  paszczus
- relase 1
- build and work
- good permission for files

Revision 1.4  2004/05/15 17:27:27  qboosh
- pl, simplified build/install

Revision 1.3  2004/05/15 16:13:07  adgor
- Addedd install.patch (Makefile.patch no longer needed)
- Fixes where needed
- Release 0.2 (Check it)

Revision 1.2  2004/05/15 12:33:46  paszczus
- relase down to 0.1
- added patch0
- cosmetics
- build, but not work, NFY

Revision 1.1  2004/05/15 12:12:39  paszczus
- initial version
